#include <iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long N,dolini=0,wyrh=0,mest=0;
    cin>>N;
    long long a[N];
    for(long long i=0; i<N; i++)
    {
        cin>>a[i];
    }
    for(long long i=0; i<N-1; i++)
    {
        for(long long j=i+1; j<N; j++)
        {
            for(long long z=i; z<=j-2; z++)
            {
                if(a[z]>a[z+1] && a[z+1]<a[z+2])
                {
                    dolini++;
                }
                if(a[z]<a[z+1] && a[z+1]>a[z+2])
                {
                    wyrh++;
                }
            }
            if(wyrh==0 && dolini==0)
            {
                mest++;
            }
            dolini=0;
            wyrh=0;
        }
    }
    cout<<mest*2<<'\n';
    return 0;
}
